Download it now!
Bug 59638 - REGRESSION FILEOPEN: RTF import doesn't handle list types correctly
Summary: REGRESSION FILEOPEN: RTF import doesn't handle list types correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 22:34 UTC by Dennis Roczek
Modified: 2013-11-17 17:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The rtf file with the "Dot" lists problems (42.99 KB, application/rtf)
2013-01-20 22:34 UTC, Dennis Roczek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2013-01-20 22:34:48 UTC
Created attachment 73346 [details]
The rtf file with the "Dot" lists problems

This is also present in LO3.6, but not in EuroOffice2011 nor in Lotus Symphony 3.0.1 nor in Wordpad XP/7: The attached RTF file isn't recognizing the dots as list stuff correctly. Luckily the "arrorws" are not displayed correctly. This file was generated with MSO2010 (and slightly modified with a text editor to remove company specific stuff)
Comment 1 Dennis Roczek 2013-01-20 22:36:57 UTC
Miklos I guess that is a bug for you ;-) Change if I'm wrong.
Comment 2 Joel Madero 2013-01-23 18:33:49 UTC
Changing version as reporter has stated that it exists in 3.6
Comment 3 Dennis Roczek 2013-01-23 21:08:13 UTC
yes, indeed I talked about 3.6, but I tested that also in 4.0rc. (As I'm having 4.0rc installed at home and 3.6 at work)

mmmh, there is a big spelling error:

> Luckily the "arrorws" are not displayed correctly.
should be
> Luckily the "arrorws" are now displayed correctly.

But the issue still stands: the "dot like" list types aren't displayed correctly. Maybe I have the time to check the other standard formats.
Comment 4 Joel Madero 2013-01-24 00:52:40 UTC
the version is the oldest version that the bug has been seen on, not the latest one it's been seen on. Please don't make it newer if you see the same bug on an older version. We use comments to keep track of newer version tests
Comment 5 Joel Madero 2013-01-24 00:53:41 UTC
Please see this link for instructions on how to report a bug, includes our use of "Version" field

https://wiki.documentfoundation.org/BugReport_Details
Comment 6 Miklos Vajna 2013-02-28 13:22:27 UTC
There are at least two problems here:

1) the domain mapper (shared between the DOCX and RTF importer) ignores the w:lvlOverride token. Once this if fixed, the DOCX equivalent of the bugdoc should be imported properly.

2) the RTF tokenizer part is missing as well.
Comment 7 Not Assigned 2013-02-28 15:48:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=521586b328305c4466603438a9931993b92873c6

Related: fdo#59638 DOCX import of w:lvlOverride



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2013-03-01 16:54:38 UTC
Hm, even in the RTF tokenizer there are two issues:

1) \lfolevel is not imported

2) When it's imported, \f is not handled inside \listlevel.

I'll fix these in a bit.
Comment 9 Not Assigned 2013-03-01 16:56:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f82a08d3565239c2bfe8d21fbebd89bd4657708

fdo#59638 import RTF_LFOLEVEL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Not Assigned 2013-03-01 16:57:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58c30a3545a5725d704eabd79071db02f1f2cb23

fdo#59638 handle RTF_F inside RTF_LISTLEVEL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Miklos Vajna 2013-03-01 21:07:48 UTC
4-0 review: https://gerrit.libreoffice.org/2503
Comment 12 Commit Notification 2013-03-07 08:35:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=202d4d32d481ce7e2d1f9933186b30f9ae77497a&h=libreoffice-4-0

fdo#59638 import of DOCX w:lvlOverride / RTF_LFOLEVEL


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.